#*************************** makefile for inc ****************************

msg	=..\messages
dos	=..\dos
inc	=..\inc
hinc	=..\h

#
#######################	dependencies begin here. #########################
#

all: 		errtst.obj sysvar.obj cds.obj dpb.obj nibdos.obj \
		const2.obj msdata.obj msdosme.obj mstable.obj msgserv.nas \
		msgserv.asm nibdosn.obj const2n.obj msdatan.obj msdosmen.obj \
		msdatai.obj mstablen.obj

errtst.obj: 	errtst.c \
  		$(hinc)\types.h  \
  		$(hinc)\comsub.h  \
  		$(hinc)\dpb.h

sysvar.obj: 	sysvar.c \
  		$(hinc)\types.h  \
  		$(hinc)\sysvar.h

cds.obj: 	cds.c \
  		$(hinc)\types.h  \
  		$(hinc)\sysvar.h  \
  		$(hinc)\cds.h  \
  		$(hinc)\dpb.h

dpb.obj: 	dpb.c \
  		$(hinc)\dpb.h \
  		dpb.inc

nibdos.obj:	nibdos.nas $(dos)\mssw.nas $(dos)\msconst.nas \
           	dossym.mac dosseg.nas mshead.nas \
           	buf2sw.mac \
           	entrysw.mac \
           	entryseg.nas

const2.obj: 	const2.nas dossym.mac devsym.mac \
         	dosseg.nas

msdata.obj: 	msdata.nas $(dos)\mssw.nas dosseg.nas \
            	dosmac.mac msdata.nas $(dos)\dosinit.nas \
            	devsym.mac vector.mac buffer.mac \
            	dirent.mac dpb.mac curdir.mac \
            	find.mac pdb.mac \
            	sf.mac arena.mac mi.mac buf2sw.mac \
            	ms_data.nas \
            	entrysw.mac \
            	entryseg.nas

msdosme.obj: 	msdosme.nas $(dos)\mssw.nas dosseg.nas \
             	$(dos)\dosmes.nas dosmac.mac intnat.mac \
             	divmes.nas \
             	entrysw.mac \
             	entryseg.nas

nibdosn.obj:	nibdosn.nas nibdos.nas $(dos)\mssw.nas $(dos)\msconst.nas \
           	dossym.mac dosseg.nas mshead.nas nobits.mac \
           	buf2sw.mac \
           	entrysw.mac \
           	entryseg.nas

const2n.obj: 	const2n.nas const2.nas dossym.mac devsym.mac \
         	dosseg.nas nobits.mac

msdatan.obj: 	msdatan.nas msdata.nas $(dos)\mssw.nas dosseg.nas \
            	dosmac.mac msdata.nas $(dos)\dosinit.nas \
            	devsym.mac vector.mac buffer.mac \
            	dirent.mac dpb.mac curdir.mac \
            	find.mac pdb.mac \
            	sf.mac arena.mac mi.mac nobits.mac buf2sw.mac \
            	ms_data.nas \
            	entrysw.mac \
            	entryseg.nas

msdatai.obj: 	msdatai.nas msdata.nas $(dos)\mssw.nas dosseg.nas \
            	dosmac.mac msdata.nas $(dos)\dosinit.nas \
            	devsym.mac vector.mac buffer.mac \
            	dirent.mac dpb.mac curdir.mac \
            	find.mac pdb.mac \
            	sf.mac arena.mac mi.mac nobits.mac buf2sw.mac \
            	ms_data.nas \
            	entrysw.mac \
            	entryseg.nas

msdosmen.obj: 	msdosmen.nas msdosme.nas $(dos)\mssw.nas dosseg.nas \
             	$(dos)\dosmes.nas dosmac.mac intnat.mac \
             	divmes.nas nobits.mac \
             	entrysw.mac \
             	entryseg.nas

mstable.obj:	mstable.nas $(dos)\mssw.nas	      \
     		$(dos)\ms_table.nas dossym.mac dosseg.nas \
     		buf2sw.mac memsw.mac

mstablen.obj:	mstablen.nas mstable.nas $(dos)\mssw.nas \
     		$(dos)\ms_table.nas dossym.mac dosseg.nas \
     		buf2sw.mac memsw.mac
